Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HActivityRecovery

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HActivityRecovery

    public class HActivityRecovery

extends HObject

Persistent representation of activity recovery information.

Field Summary
`static java.lang.String` | `SELECT_ACTIVITY_RECOVERY_IDS_BY_INSTANCES`

Constructor Summary
`HActivityRecovery()`

Method Summary
`java.lang.String` | `getActions()`
`long` | `getActivityId()`
`java.lang.String` | `getChannel()`
`java.util.Date` | `getDateTime()`
`HLargeData` | `getDetails()`
`HProcessInstance` | `getInstance()` Get the `HProcessInstance` to which this scope object belongs.
`java.lang.String` | `getReason()`
`int` | `getRetries()`
`void` | `setActions(java.lang.String actions)`
`void` | `setActivityId(long activityId)`
`void` | `setChannel(java.lang.String channel)`
`void` | `setDateTime(java.util.Date dateTime)`
`void` | `setDetails(HLargeData details)`
`void` | `setInstance(HProcessInstance instance)`
`void` | `setReason(java.lang.String reason)`
`void` | `setRetries(int retries)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SELECT_ACTIVITY_RECOVERY_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_ACTIVITY_RECOVERY_IDS_BY_INSTANCES

See Also:
  Constant Field Values

Constructor Detail

### HActivityRecovery

    public HActivityRecovery()

Method Detail

### getInstance

    public HProcessInstance getInstance()

  Get the `HProcessInstance` to which this scope object belongs.

### setInstance

    public void setInstance(HProcessInstance instance)

  See Also:
    `getInstance()`

### getActivityId

    public long getActivityId()

### setActivityId

    public void setActivityId(long activityId)

### getChannel

    public java.lang.String getChannel()

### setChannel

    public void setChannel(java.lang.String channel)

### getReason

    public java.lang.String getReason()

### setReason

    public void setReason(java.lang.String reason)

### getDateTime

    public java.util.Date getDateTime()

### setDateTime

    public void setDateTime(java.util.Date dateTime)

### getDetails

    public HLargeData getDetails()

### setDetails

    public void setDetails(HLargeData details)

### getActions

    public java.lang.String getActions()

### setActions

    public void setActions(java.lang.String actions)

### getRetries

    public int getRetries()

### setRetries

    public void setRetries(int retries)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD